Payments & Fund TransfersRefunds

List Refunds

Retrieve refunds that you have created.

GET
/v1/refunds

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

application/json

application/json

curl -X GET "https://example.com/v1/refunds"
{
  "data": [
    {
      "amount": 0,
      "createdAt": "string",
      "currency": "string",
      "id": "string",
      "resultCode": "string",
      "status": "string",
      "transactionId": "string",
      "updatedAt": "string"
    }
  ],
  "hasMore": true
}